<?php
define('NTLCMS', 1);
$module = 'adsadd';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Добавить рекламу</b></div>';
$error = null;
if (isset($_POST['name']) && isset($_POST['url']) && isset($_POST['time'])){
$name = isset($_POST['name']) ? filter_var($_POST['name'], FILTER_SANITIZE_STRING) : false;
$site = isset($_POST['url']) ? filter_var($_POST['url'], FILTER_SANITIZE_STRING) : false;
$color = isset($_POST['color']) ? filter_var($_POST['color'], FILTER_SANITIZE_STRING) : false;
$time = isset($_POST['time']) ? filter_var($_POST['time'], FILTER_SANITIZE_NUMBER_INT) : '0';
if ($_USER['balans'] < ($time * $set['rekcost'])){
$error.= 'Недостаточно средств!<br/>';
} elseif (empty($name)){
$error.= 'Введите название вашей ссылки!<br/>';
} elseif(!preg_match('#[a-zA-Zа-яА-Я0-9_-]{5,35}#i', $name)){
$error.= 'Название ссылки должно содержать от 5 до 35 символов!<br/>';
} elseif (DB :: run() -> querySingle("select (`name`) from `reklama` where `name` = ?", array($name))){
$error.= 'Ссылка с таким названием уже существует!<br/>';
}
if (empty($site)){
$error.= 'Введите url адрес площадки!<br/>';
} elseif (preg_match("/^https:\/\/[a-zA-Z0-9\/.=?_-]+$/", $site)){
$error.= 'Адрес сайта нужно вводить без https://<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{5,55}#i', $site)){
$error.= 'Адрес ссылки должен содержать от 5 до 100 символов!<br/>';
} elseif (DB :: run() -> querySingle("select (`url`) from `reklama` where `url` = ?", array($site))){
$error.= 'Ссылка с таким адресом уже существует!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("insert into `reklama` (`login`, `date`, `name`, `url`, `color`) values (?, ?, ?, ?, ?)", array($ilogin, (TIME + ($time * 86400)), $name, $site, $color))){
DB :: run() -> query("update `users` set `balans` = `balans` - ? where `login` = ? limit 1", array($time * $set['rekcost'], $ilogin));
echo '<div class="post"><center><i class="fa fa-check-circle fa-fw"></i> Ваша ссылка успешно установлена!</center></div>';
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Ваша ссылка не установлена!</center></div>';
}
}
}
echo '<div class="menu"><form action="'.URL.'/advert_add" method="post">
* Название:<br/><input type="text" name="name" maxlength="35"/><br/>
* URL адрес:<br/>https://<input type="text" name="url" maxlength="100" size="12"/><br/>
* На срок:[в днях]<br/><input type="text" name="time" maxlength="3"/><br/>
* Цвет ссылки:<br/><select name="color">
<option value="red">Красный</option>
<option value="green">Зеленый</option>
<option value="yellow">Желтый</option>
<option value="blue">Синий</option>
<option value="black">Черный</option>
</select><br/>
<input type="submit" value="Добавить ссылку"/>
</form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/advert">Заказ рекламы</a></div>';
include ('../system/foot.php');
?>